Package com.sun.ts.lib.util

# Class FloatConsts

java.lang.Object
com.sun.ts.lib.util.FloatConsts

public class FloatConsts extends Object
This class contains additional constants documenting limits of the `float` type.

Author:
  Joseph D. Darcy

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EXP_BIAS`
  Bias used in representing a `float` exponent.
  `static final int`
  `EXP_BIT_MASK`
  Bit mask to isolate the exponent field of a `float`.
  `static final int`
  `MAX_EXPONENT`
  Maximum exponent a finite `float` number may have.
  `static final float`
  `MAX_VALUE`
  `static final int`
  `MIN_EXPONENT`
  Minimum exponent a normalized `float` number may have.
  `static final float`
  `MIN_NORMAL`
  A constant holding the smallest positive normal value of type `float`, 2-126.
  `static final int`
  `MIN_SUB_EXPONENT`
  The exponent the smallest positive `float` subnormal value would have if it could be normalized.
  `static final float`
  `MIN_VALUE`
  `static final float`
  `NaN`
  `static final float`
  `NEGATIVE_INFINITY`
  `static final float`
  `POSITIVE_INFINITY`
  `static final int`
  `SIGN_BIT_MASK`
  Bit mask to isolate the sign bit of a `float`.
  `static final int`
  `SIGNIF_BIT_MASK`
  Bit mask to isolate the significand field of a `float`.
  `static final int`
  `SIGNIFICAND_WIDTH`
  The number of logical bits in the significand of a `float` number, including the implicit bit.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### POSITIVE_INFINITY

    public static final float POSITIVE_INFINITY
    See Also:
      - Constant Field Values

  - ### NEGATIVE_INFINITY

    public static final float NEGATIVE_INFINITY
    See Also:
      - Constant Field Values

  - ### NaN

    public static final float NaN
    See Also:
      - Constant Field Values

  - ### MAX_VALUE

    public static final float MAX_VALUE
    See Also:
      - Constant Field Values

  - ### MIN_VALUE

    public static final float MIN_VALUE
    See Also:
      - Constant Field Values

  - ### MIN_NORMAL

    public static final float MIN_NORMAL
    A constant holding the smallest positive normal value of type `float`, 2-126. It is equal to the value returned by `Float.intBitsToFloat(0x00800000)`.
    See Also:
      - Constant Field Values

  - ### SIGNIFICAND_WIDTH

    public static final int SIGNIFICAND_WIDTH
    The number of logical bits in the significand of a `float` number, including the implicit bit.
    See Also:
      - Constant Field Values

  - ### MAX_EXPONENT

    public static final int MAX_EXPONENT
    Maximum exponent a finite `float` number may have. It is equal to the value returned by `Math.ilogb(Float.MAX_VALUE)`.
    See Also:
      - Constant Field Values

  - ### MIN_EXPONENT

    public static final int MIN_EXPONENT
    Minimum exponent a normalized `float` number may have. It is equal to the value returned by `Math.ilogb(Float.MIN_NORMAL)`.
    See Also:
      - Constant Field Values

  - ### MIN_SUB_EXPONENT

    public static final int MIN_SUB_EXPONENT
    The exponent the smallest positive `float` subnormal value would have if it could be normalized. It is equal to the value returned by `FpUtils.ilogb(Float.MIN_VALUE)`.
    See Also:
      - Constant Field Values

  - ### EXP_BIAS

    public static final int EXP_BIAS
    Bias used in representing a `float` exponent.
    See Also:
      - Constant Field Values

  - ### SIGN_BIT_MASK

    public static final int SIGN_BIT_MASK
    Bit mask to isolate the sign bit of a `float`.
    See Also:
      - Constant Field Values

  - ### EXP_BIT_MASK

    public static final int EXP_BIT_MASK
    Bit mask to isolate the exponent field of a `float`.
    See Also:
      - Constant Field Values

  - ### SIGNIF_BIT_MASK

    public static final int SIGNIF_BIT_MASK
    Bit mask to isolate the significand field of a `float`.
    See Also:
      - Constant Field Values